package com.libreecm.commonAPI.model;

import java.util.ArrayList;
import java.util.List;

public class PermissionDefinition extends LibreECMObject {
 
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
    
     private String id;

    private List<CmisExtensionElement> extensions;

	private String description;


	public List<CmisExtensionElement> getExtensions() {
		if (this.extensions==null){
			this.extensions=new ArrayList<>();
		}
		return (this.extensions);
	} 

	public void setExtensions(List<CmisExtensionElement> arg0) {
		this.extensions=arg0;
	}
 
	public String getDescription() {
		return this.description;
	}

	public String getPermission() {
		if (id==null){
			return null;
		}
		return id.toString();
	}
	
	private PermissionDefinition(){
	
	}
	
	public PermissionDefinition(String permission, String description){
		this.id=(permission);
		this.description=description;
	}
	
	public PermissionDefinition(List<CmisExtensionElement> extensions, String permission, String description) {
		super();
		this.extensions = extensions;
		this.description = description;

		this.id=permission;
	}

}
